Permalink
Browse files

installs correctly, only 9 failing tests to fix.

  • Loading branch information...
1 parent 9912cc6 commit cf4f3edb24f9f380df971caada9dde6d50c2687d @pboling pboling committed Aug 25, 2009
Showing with 17 additions and 5 deletions.
  1. +1 −0 .gitignore
  2. +5 −1 CHANGELOG
  3. +1 −1 VERSION.yml
  4. +2 −0 install.sh
  5. +7 −2 rails/init.rb
  6. +1 −1 subdomain-fu.gemspec
View
@@ -3,3 +3,4 @@
.svn
/pkg
.idea
+*.gem
View
@@ -1,3 +1,7 @@
+== 2009-08-24
+
+* Merged forks that added lots of features, tests, and fixes
+
== 2008-06-25
-* Removed stray puts
+* Removed stray puts
View
@@ -1,4 +1,4 @@
---
:major: 0
:minor: 2
-:patch: 0
+:patch: 1
View
@@ -0,0 +1,2 @@
+# I use this to make life easier when installing and testing from source:
+rm -rf subdomain-fu-*.gem && gem build subdomain-fu.gemspec && sudo gem uninstall subdomain-fu && sudo gem install subdomain-fu-0.2.1.gem --no-ri --no-rdoc
View
@@ -1,5 +1,10 @@
-require 'subdomain-fu'
+require 'action_controller'
+
+# Add this path to ruby load path
+$:.unshift "#{File.dirname(__FILE__)}/../lib"
+
+require 'subdomain-fu' unless defined?(SubdomainFu)
ActionController::Base.send :include, SubdomainFu::Controller
-RAILS_DEFAULT_LOGGER.info("** SubdomainFu: initialized properly")
+RAILS_DEFAULT_LOGGER.info("** SubdomainFu: initialized properly")
View
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = %q{subdomain-fu}
- s.version = "0.2.0"
+ s.version = "0.2.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Michael Bleigh","Peter Boling"]

0 comments on commit cf4f3ed

Please sign in to comment.